## numix-gtk-theme 2.6.4

=== Makefile ===
SASS=scss
SASSFLAGS=--sourcemap=none
GLIB_COMPILE_RESOURCES=glib-compile-resources
RES_DIR=src/gtk-3.0
SCSS_DIR=$(RES_DIR)/scss
DIST_DIR=$(RES_DIR)/dist
RES_DIR320=src/gtk-3.20
SCSS_DIR320=$(RES_DIR320)/scss
DIST_DIR320=$(RES_DIR320)/dist
INSTALL_DIR=$(DESTDIR)/usr/share/themes/Numix
UTILS=scripts/utils.sh

all: clean gresource

css:
	$(SASS) --update $(SASSFLAGS) $(SCSS_DIR):$(DIST_DIR)
	$(SASS) --update $(SASSFLAGS) $(SCSS_DIR320):$(DIST_DIR320)

gresource: css
	$(GLIB_COMPILE_RESOURCES) --sourcedir=$(RES_DIR) $(RES_DIR)/gtk.gresource.xml
	$(GLIB_COMPILE_RESOURCES) --sourcedir=$(RES_DIR320) $(RES_DIR320)/gtk.gresource.xml

watch: clean
	while true; do \
		make gresource; \
		inotifywait @gtk.gresource -qr -e modify -e create -e delete $(RES_DIR); \
	done

clean:
	rm -rf $(DIST_DIR)
	rm -f $(RES_DIR)/gtk.gresource
	rm -rf $(DIST_DIR320)
	rm -f $(RES_DIR320)/gtk.gresource

install: all
	$(UTILS) install $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)

changes:
	$(UTILS) changes


.PHONY: all
.PHONY: css
.PHONY: watch
.PHONY: gresource
.PHONY: clean
.PHONY: install
.PHONY: uninstall
.PHONY: changes

.DEFAULT_GOAL := all

# vim: set ts=4 sw=4 tw=0 noet :

=== debian/changelog ===
numix-gtk-theme (2.6.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/patches:
    + Drop 0001-Fix-Xfce-shadow.patch, applied in new version
    + Refresh 1002-Set-Adwaita-as-default-icon-theme.patch

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2016 21:35:11 +0200

numix-gtk-theme (2.6.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Initial release (Closes: #827792) (LP: #1593038)

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Jul 2016 21:26:54 +0000

## numix-gtk-theme 2.6.6

=== debian/changelog ===
numix-gtk-theme (2.6.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Fri, 24 Mar 2017 12:55:29 +0100

numix-gtk-theme (2.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2017 08:37:47 +0000

=== debian/control ===
Source: numix-gtk-theme
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 9),
 libgdk-pixbuf2.0-dev,
 libglib2.0-bin,
 libxml2-utils,
 ruby-sass,
Standards-Version: 3.9.8
Homepage: https://numixproject.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/numix-gtk-theme.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/numix-gtk-theme.git

Package: numix-gtk-theme
Architecture: all
Depends:
 gtk2-engines-murrine (>= 0.98),
 ${misc:Depends},
Description: modern flat theme from the Numix project
 Numix is a modern flat theme with a combination of light and dark
 elements for any GTK-based desktop environment, including GNOME Shell,
 Unity, MATE, Cinnamon and more.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# https://github.com/numixproject/numix-gtk-theme/issues/490
override_dh_fixperms:
	dh_fixperms
	find -type f -exec chmod -x {} \;

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## numix-gtk-theme 2.6.7

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 SCSS_DIR320=$(RES_DIR320)/scss
 DIST_DIR320=$(RES_DIR320)/dist
 INSTALL_DIR=$(DESTDIR)/usr/share/themes/Numix
+ROOT_DIR=${PWD}
 UTILS=scripts/utils.sh
 
 all: clean gresource
@@ -31,6 +32,7 @@
 	rm -f $(RES_DIR)/gtk.gresource
 	rm -rf $(DIST_DIR320)
 	rm -f $(RES_DIR320)/gtk.gresource
+	rm -rf $(ROOT_DIR)/dist
 
 install: all
 	$(UTILS) install $(INSTALL_DIR)
@@ -40,6 +42,11 @@
 
 changes:
 	$(UTILS) changes
+
+zip: all
+	mkdir $(ROOT_DIR)/dist
+	$(UTILS) install $(ROOT_DIR)/dist/$$(basename $(INSTALL_DIR))
+	cd $(ROOT_DIR)/dist && zip --symlinks -rq $$(basename $(INSTALL_DIR)) $$(basename $(INSTALL_DIR))
 
 
 .PHONY: all

=== debian/changelog ===
numix-gtk-theme (2.6.7-7) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bícha ]
  * Bump debhelper from old 12 to 13
  * Update standards version to 4.6.2, no changes needed
  * Update package name for libgdk-pixbuf-2.0-dev Build-Depends
    (Closes: #1037397)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 10:58:48 -0400

numix-gtk-theme (2.6.7-6) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 May 2021 11:47:22 +0200

numix-gtk-theme (2.6.7-5) unstable; urgency=medium

  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Revert Jeremy Bicha's work-around ("Add Breaks: murrine-themes")
      for to-be-finally resolved Debian bug #838994 (in gtk2-engines-murrine).
      (Closes: #891493).
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Nov 2019 09:46:08 +0100

numix-gtk-theme (2.6.7-4) unstable; urgency=medium

  * Use sed to set Adwaita as default icon theme on Ubuntu
    instead of using a vendor-specific patch series (Closes: #915917)
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 08:41:18 -0500

numix-gtk-theme (2.6.7-3) unstable; urgency=medium

  * Don't use Breaks: murrine-themes on Ubuntu where gtk2-engines-murrine
    does not have a useless and wrong dependency on murrine-themes.
    See bugs 623783 and 838994 for previous attempts to fix this issue.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Feb 2018 17:18:33 -0500

numix-gtk-theme (2.6.7-2) unstable; urgency=medium

  * Change Maintainer to Desktop Themes Team, but keep old Uploaders
  * Import to https://salsa.debian.org/ with full upstream source
  * Add debian/gbp.conf
  * Point Homepage to GitHub repo
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Feb 2018 19:28:24 -0500

numix-gtk-theme (2.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1
  * Bump debhelper compat to 10
  * Depend on numix-icon-theme on Debian
  * Apply 1002-Set-Adwaita-as-default-icon-theme.patch on Ubuntu only

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Nov 2017 14:04:41 -0500

=== debian/control ===
Source: numix-gtk-theme
Section: x11
Priority: optional
Maintainer: Debian Desktop Theme Team <numix-gtk-theme@packages.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Build-Depends: debhelper-compat (= 13),
               libgdk-pixbuf-2.0-dev,
               libglib2.0-bin,
               libxml2-utils,
               ruby-sass
Standards-Version: 4.6.2
Homepage: https://github.com/numixproject/numix-gtk-theme
Vcs-Git: https://salsa.debian.org/desktop-themes-team/numix-gtk-theme.git
Vcs-Browser: https://salsa.debian.org/desktop-themes-team/numix-gtk-theme
Rules-Requires-Root: no

Package: numix-gtk-theme
Architecture: all
Depends: gtk2-engines-murrine,
         ${misc:Depends},
         ${icon-theme:Depends}
Description: modern flat theme from the Numix project
 Numix is a modern flat theme with a combination of light and dark
 elements for any GTK-based desktop environment, including GNOME Shell,
 Unity, MATE, Cinnamon and more.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Choosing a default icon theme is required for Numix to show up in
# MATE's theme picker (mate-appearance-properties)
# But Ubuntu Developers don't want to install numix-icon-theme by default.
# For instance, Xubuntu wants to include numix-gtk-theme by default, but
# not be forced to install the theme.
override_dh_auto_install:
	dh_auto_install
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	sed -i s/IconTheme=Numix/IconTheme=Adwaita/ \
		debian/numix-gtk-theme/usr/share/themes/Numix/index.theme
endif

# https://github.com/numixproject/numix-gtk-theme/pull/690
override_dh_fixperms:
	dh_fixperms
	find debian/numix-gtk-theme -type f -exec chmod -x {} \;

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vicon-theme:Depends='adwaita-icon-theme'
else
	dh_gencontrol -- -Vicon-theme:Depends='numix-icon-theme'
	dh_gencontrol -- -Vmurrine:Breaks='murrine-themes (<= 0.98.11)'
endif

=== debian/watch ===
version=4
https://github.com/numixproject/numix-gtk-theme/tags \
 .*/archive/refs/tags/v?([0-9][0-9\.]*)@ARCHIVE_EXT@
